
#ifndef CONTROL_MASINA_H
#define CONTROL_MASINA_H

#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>

#define TRUE 1
#define FALSE 0

/***************************************************************************/
/**************************** USART FUNCTIONS ******************************/
/***************************************************************************/
#define tx_pin PD3;
#define rx_pin PD2;

void usart_init(void);


void usart_transmit(char data);


char usart_receive(void);


void usart_print(const char *data); 


/***************************************************************************/
/********************** DRIVER CONTROLS FUNCTIONS *************************/
/**************************************************************************/

#define LIGHTS_ON 	0x0F
#define LIGHTS_OFF 	0x0D

#define FORWARD0 	0x05
#define FORWARD1 	0x06
#define FORWARD2 	0x07
#define FORWARD3 	0x08

#define BACKWARD0	0x04
#define BACKWARD1	0x03
#define BACKWARD2	0x02
#define BACKWARD3	0x01

#define LEFT0 		0x50
#define LEFT1 		0x60
#define LEFT2 		0x70
#define LEFT3 		0x80

#define RIGHT0 		0x40
#define RIGHT1 		0x30
#define RIGHT2 		0x20
#define RIGHT3 		0x10

#define MOTOR_PWM_FB 		PD5
#define MOTOR_PWM_LR 		PD4
#define MOTOR_DIRECTIE_FB 	PB7
#define MOTOR_DIRECTIE_LR 	PB1


void set_pwm(void);
void set_speed(char value);
void set_direction(char value);
void turn_lights_on(void);
void turn_lights_off(void);




#endif 